##############################################################################
#
# vc/src/tcl/helpscreen.tcl
#
# A modal-dialog-type helpscreen.
#
# 20020625 MLE - created
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
namespace eval Screen { 

    label .fmodal.title1 -text "Help" -font $huge_font -justify center
    label .fmodal.title2 -text "Synchronize Base Stations" -font $big_font -justify center
    label .fmodal.title3 -text "Base Station in Both Locations" -font $big_font -justify center

    place .fmodal.title1 -relx 0.5 -y 5 -anchor n
    place .fmodal.title2 -relx 0.5 -y 41 -anchor n
    place .fmodal.title3 -relx 0.5 -y 61 -anchor n

    frame .fmodal.helpdisplay -width 375 -height 350
    place .fmodal.helpdisplay  -relx 0.2 -y 81 -anchor nw

    frame .fmodal.buttons1 -width 100 -height 250
    place .fmodal.buttons1 -relx 0 -y 81

    SnazzyButton::create .fmodal.buttons1.viewData btnBlueM2U btnBlueM2D \
	0.5 "" "View\nData"

    SnazzyButton::create .fmodal.buttons1.viewFields btnBlueM2U btnBlueM2D \
	0.5 "" "View\nFields"

    place .fmodal.buttons1.viewData -relx 0 -y 30 -anchor nw
    place .fmodal.buttons1.viewFields -relx 0 -y 175 -anchor nw

    label .fmodal.helpdisplay.l1 -text "Use the view data button to view the\
conflicting base station\nlocation data." \
	-font $small_font -justify left -foreground red

    label .fmodal.helpdisplay.l2 -text "Use the view fields button to bring up\
the field conflict\nresolution screen which will allow you to view\
and resolve\nthe conflicting fields and jobs" \
	-font $small_font -justify left -foreground red

    place .fmodal.helpdisplay.l1 -anchor nw -relx 0 -y 30
    place .fmodal.helpdisplay.l2 -anchor nw -relx 0 -y 170
}