##############################################################################
#
# vc/src/tcl/testbox.tcl
#
# This file can be used to help test the various VC screens by editing the 
# file appropriately and then executing:
#  wish8.4 testscreen.tcl
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
set tclPath ./
set DISP_START_SIG 350
set isUserDisplay 0
set gamma_value 1

proc togl {junkFrame args} {
    frame $junkFrame
    # do nothing else
}

source ${tclPath}signals.h.tcl
source ${tclPath}globalsetup.tcl

proc bgerror {error} {
   global errorInfo
   puts "$error $errorInfo"
   exit 
}

proc guiExit {{status 0}} {
   Screen::actExit
   exit
}

proc post {arg1 {arg2 ""} {arg3 ""}} {
   puts "post $arg1 $arg2 $arg3"
}

#------------------------------------
#source jobaddtype.tcl
#Screen::actEntry \
#    "Select Type of Job to Add" "Cancel" \
#    "Standard Jobs:" "Parallel Rows" "Fan Rows" "Box Rows" "Circle Rows" \
#    "Record and Repeat Jobs:" "AB Path\nMaster" "Curve Path\nMaster" "Repeat Job"


source calibration.tcl
Screen::actEntry \
    "packImplementCalib \"Implement Steering Calibration\" \"Cancel\" \"Accept\" \"Toggle\nPlot\""
CalDataDisplay::actPlotCalData
Screen::actConfigureInactive "Manual Steering"

# source hardcore.tcl
# Screen::actEntry \
#     "packIsteer \"Implement Steering Control Tuning\" \"2\" \"3\" \"4\" \"5\" \"6\" \"7\" \"8\" \"9\" \"10\" \"11\""
# Screen::actConfigureCDPanel 0
