#!/bin/sh

# Fix Mac address bug
/mnt/sandisk/scripts/mac_fix.sh

# Make sure splash screen is displayed 
#sgvt_ldrupd -v bl_temp_low=-30 -v bl_temp_high=70

# install root fs

/mnt/sandisk/bin/eraseall /dev/mtd4
/mnt/sandisk/bin/eraseall /dev/mtd5
/mnt/sandisk/bin/eraseall /dev/mtd6

mount none / -o remount
mkdir /tmp/mtdblock3
mkdir -p /tmp/configuration/currdir0
mkdir -p /tmp/configuration/currdir1
mkdir -p /tmp/data
mount none / -o remount,ro
mount -t jffs2 /dev/mtdblock3 /tmp/mtdblock3
mount -t jffs2 /dev/mtdblock4 /tmp/configuration/currdir0
mount -t jffs2 /dev/mtdblock5 /tmp/configuration/currdir1
mount -t jffs2 /dev/mtdblock6 /tmp/data
mkdir /tmp/data/currdir
cd /tmp
ln -s libstdc++-3-libc6.1-2-2.10.0.so /tmp/mtdblock3/usr/lib/libstdc++-libc6.1-2.so.3

#untar the Autosteer database tree 
if [ -e /mnt/sandisk/files/A5SteerDbImage.tgz ]; then
   tar -xzf /mnt/sandisk/files/A5SteerDbImage.tgz
fi

#untar the AutoLevel database tree 
if [ -e /mnt/sandisk/files/A5ALDBimage.tgz ]; then
   tar -xzf /mnt/sandisk/files/A5ALDBimage.tgz
fi

cd /tmp/mtdblock3
#untar the run time code and libraries
tar -xzf /mnt/sandisk/files/A5AppSupport.tgz
# create link so softwareselect can use gif directory
ln -s ../../../vc/src/tcl/gif mnt/apps/softwareselect/src/tcl/gif

#untar the Autosteering Image
if [ -e /mnt/sandisk/files/A5SteerImage.tgz ]; then
   tar -xzf /mnt/sandisk/files/A5SteerImage.tgz
fi

#untar the AutoLevel application tree 
if [ -e /mnt/sandisk/files/A5ALimage.tgz ]; then
   tar -xzf /mnt/sandisk/files/A5ALimage.tgz
fi 
if [ -e /mnt/sandisk/files/geoid.tgz ]; then
   tar -xzf /mnt/sandisk/files/geoid.tgz
fi

# Get the about.txt file
cp /mnt/sandisk/about.txt .

chown -R root:root /tmp/mtdblock3/* 
chown -R root:root /tmp/configuration/currdir0/*

cd /
umount /tmp/mtdblock3
umount /tmp/configuration/currdir0
umount /tmp/configuration/currdir1
umount /tmp/data
