
verify_dude() {
    avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -U flash:v:$AVR_HEX
    return $?
}

update_dude() {

    avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -e
    if [ "$?" -ne 0 ] 
    then
	return $?
    fi

    if [ -n "$FACTORY_INSTALL" -a -e "$MKI_EEPROM" ]
    then
	avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -U eeprom:w:$MKI_EEPROM:r > /dev/console
    fi
    
    avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -U hfuse:w:0xd7:m 
    if [ "$?" -ne 0 ] 
    then
	return $?
    fi
	    
    avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -U lfuse:w:0xaf:m
    if [ "$?" -ne 0 ]
    then
	return $?
    fi
	    
    avrdude -C $DUDE_CONF_PATH/avrdude.conf -p m8 -c mki  -P /dev/mkikb0 -U flash:w:$AVR_HEX
    if [ "$?" -ne 0 ]
    then
	return $?
    fi

    return 0
}
