##############################################################################
#
# vc/src/tcl/testbox.tcl
#
# This file can be used to help test the various VC screens by editing the 
# file appropriately and then executing:
#  wish8.4 testscreen.tcl
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
set tclPath ./
set DISP_START_SIG 350
set isUserDisplay 0
source ${tclPath}signals.h.tcl
source ${tclPath}globalsetup.tcl

proc bgerror {error} {
   global errorInfo
   puts "$error $errorInfo"
   exit 
}

proc guiExit {{status 0}} {
   Screen::actExit
   exit
}

proc post {arg1 {arg2 ""} {arg3 ""}} {
   puts "post $arg1 $arg2 $arg3"
}

#------------------------------------
#source jobaddtype.tcl
#Screen::actEntry \
#    "Select Type of Job to Add" "Cancel" \
#    "Standard Jobs:" "Parallel Rows" "Fan Rows" "Box Rows" "Circle Rows" \
#    "Record and Repeat Jobs:" "AB Path\nMaster" "Curve Path\nMaster" "Repeat Job"


source language.tcl
Screen::actEntry