##############################################################################
#
# vc/src/tcl/testbox.tcl
#
# This file can be used to help test the various VC modals by editing the 
# file appropriately and then executing:
#  wish8.4 testmodal.tcl
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
set tclPath ./
set DISP_START_SIG 350
set isUserDisplay  0
source ${tclPath}signals.h.tcl
source ${tclPath}globalsetup.tcl

proc bgerror {error} {
   global errorInfo
   puts "$error $errorInfo"
   exit 
}

proc guiExit {{status 0}} {
   Modal::actExit
   exit
}

proc post {arg1 {arg2 ""} {arg3 ""}} {
   puts "post $arg1 $arg2 $arg3"
}

#------------------------------------
source keyboard.tcl
Modal::actEntry 

