#!/bin/sh

export LD_LIBRARY_PATH=/mnt/sandisk/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/mnt/sandisk/upgrade/lib:$LD_LIBRARY_PATH
export DISPLAY=:0

ln -s /mnt/sandisk/xfree86 /opt/xfree86

/mnt/sandisk/bin/fbset -depth 24

# get screen config parameters from internal disk, if the exist
mount none / -o remount
mkdir /ut
mount -t jffs2 /dev/mtdblock3 /ut
if [ -e /ut/etc/elotouch.conf ]; then
  . /ut/etc/elotouch.conf
  /mnt/sandisk/bin/eloconfig -x $XLOW -X $XHIGH -y $YLOW -Y $YHIGH --mode default -w 640 -h 480
else
  /mnt/sandisk/bin/eloconfig -x 512 -X 3394 -y 3365 -Y 629 --mode default -w 640 -h 480
fi
umount /ut
rmdir /ut;

/mnt/sandisk/bin/Xsmi -ac &

export TCL_LIBRARY=/mnt/sandisk/lib/tcl8.4
export TK_LIBRARY=/mnt/sandisk/lib/tk8.4
#export DISPLAY=:0.0
export DISPLAY=:0

# hack - somehow, this flag is not being cleared properly
rm /mnt/sandisk/upgrade/apps/softwareupgrade/installComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/backupComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/restoreComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/upgradeComplete

cd /mnt/sandisk/upgrade/apps/softwareupgrade/bin
./mpc5200debug1_1t/softwareupgrade > /tmp/output &
# ./mpc5200debug1_1t/softwareupgrade 
